
namespace Lsc.Backend {
    public enum LoadingType {
        PACKAGES, // Loaded packages
        CATEGORIES, // Loaded categories
        DETAILS, // Loading details
        OTHER; // Installed or so
    }
    
    public enum ResponseId {
		INFO,
		INSTALL
	}
    
    public class LscCategory : Object {
        public string id;
        public string name;
        public string summary;
        public string icon;
        public int records;
        
        public LscCategory (string id, string name, string summary, string icon, int records = 0) {
            this.id = id;
            this.name = name;
            this.summary = summary;
            this.icon = icon;
            this.records = records;
        }
    }
    
    public class LscApp : Object {
		public string id { get; private set; } // A valid id retrieved from a PkPackage
		public string name { get; private set; }
		public string summary { get; private set; }
		public string icon { get; set; }
		
		public LscApp (string id, string name, string summary, string icon) {
			this.id = id;
			this.name = name;
			this.summary = summary;
			this.icon = icon;
		}
	}   
}
